"use strict";
const common_vendor = require("../../../common/vendor.js");
const sheep_index = require("../../index.js");
const sheep_hooks_useModal = require("../../hooks/useModal.js");
require("../../api/index.js");
require("../../api/distri/score.js");
require("../../request/index.js");
require("../../config/index.js");
require("../../store/index.js");
require("../../store/app.js");
require("../../api/promotion/diy.js");
require("../../platform/index.js");
require("../../platform/provider/wechat/index.js");
require("../../platform/provider/wechat/miniProgram.js");
require("../../api/member/auth.js");
require("../../api/member/social.js");
require("../../api/member/user.js");
require("../../platform/provider/apple/index.js");
require("../../platform/share.js");
require("../../router/index.js");
require("../../helper/throttle.js");
require("../../url/index.js");
require("../../platform/pay.js");
require("../../helper/index.js");
require("../../helper/test.js");
require("../../helper/digit.js");
require("../../api/pay/order.js");
require("../../store/user.js");
require("../../store/cart.js");
require("../../api/trade/cart.js");
require("../../api/pay/wallet.js");
require("../../api/trade/order.js");
require("../../api/promotion/coupon.js");
require("../../store/sys.js");
require("../../store/modal.js");
require("../../api/distri/share.js");
require("../../api/distri/team.js");
require("../../api/infra/file.js");
require("../../api/member/address.js");
require("../../api/member/point.js");
require("../../api/member/signin.js");
require("../../api/migration/app.js");
require("../../api/migration/chat.js");
require("../../api/migration/index.js");
require("../../api/migration/third.js");
require("../../api/pay/channel.js");
require("../../api/product/category.js");
require("../../api/product/comment.js");
require("../../api/product/favorite.js");
require("../../api/product/history.js");
require("../../api/product/spu.js");
require("../../api/promotion/activity.js");
require("../../api/promotion/article.js");
require("../../api/promotion/bargain.js");
require("../../api/promotion/combination.js");
require("../../api/promotion/rewardActivity.js");
require("../../api/promotion/seckill.js");
require("../../api/system/area.js");
require("../../api/system/voice.js");
require("../../api/trade/afterSale.js");
require("../../api/trade/brokerage.js");
require("../../api/trade/config.js");
require("../../api/trade/delivery.js");
require("../../config/zIndex.js");
if (!Array) {
  const _easycom_su_popup2 = common_vendor.resolveComponent("su-popup");
  _easycom_su_popup2();
}
const _easycom_su_popup = () => "../../ui/su-popup/su-popup.js";
if (!Math) {
  _easycom_su_popup();
}
const _sfc_main = {
  __name: "s-popup-image",
  props: {
    data: {
      type: Object,
      default() {
      }
    }
  },
  setup(__props) {
    const props = __props;
    const modalStore = JSON.parse(common_vendor.index.getStorageSync("modal-store") || "{}");
    console.log(modalStore);
    const advHistory = modalStore.advHistory || [];
    const currentIndex = common_vendor.ref(0);
    const popupList = common_vendor.computed(() => {
      const list = props.data.list || [];
      const newList = [];
      if (list.length > 0) {
        list.forEach((adv) => {
          if (adv.showType === "once" && advHistory.includes(adv.imgUrl)) {
            adv.isShow = false;
          } else {
            adv.isShow = true;
            newList.push(adv);
          }
          sheep_hooks_useModal.saveAdvHistory(adv);
        });
      }
      return newList;
    });
    function onPopup(path) {
      sheep_index.sheep.$router.go(path);
    }
    function onClose(index) {
      currentIndex.value = index + 1;
      popupList.value[index].isShow = false;
    }
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(popupList.value, (item, index, i0) => {
          return common_vendor.e({
            a: index === currentIndex.value
          }, index === currentIndex.value ? {
            b: common_vendor.unref(sheep_index.sheep).$url.cdn(item.imgUrl),
            c: common_vendor.o(($event) => onPopup(item.url), index),
            d: common_vendor.o(($event) => onClose(index), index),
            e: "ef138843-0-" + i0,
            f: common_vendor.p({
              show: item.isShow,
              type: "center",
              backgroundColor: "none",
              round: "0",
              showClose: true,
              isMaskClick: false
            })
          } : {}, {
            g: index
          });
        })
      };
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-ef138843"], ["__file", "D:/zx/mall-front-app/sheep/components/s-popup-image/s-popup-image.vue"]]);
wx.createComponent(Component);
